summaryrefslogtreecommitdiff
path: root/source3/script
diff options
context:
space:
mode:
authorGuenter Kukkukk <kukks@samba.org>2013-03-12 01:44:59 +0100
committerRichard Sharpe <sharpe@samba.org>2013-03-12 07:36:13 +0100
commit41edcf849a592d0d358621fdffbab82befa76e02 (patch)
tree909a7a5c1c8f785ee350e79b84662202c8c9f03e /source3/script
parent396647340f233e30277d6d6081465b7b6d855181 (diff)
downloadsamba-41edcf849a592d0d358621fdffbab82befa76e02.tar.gz
samba-41edcf849a592d0d358621fdffbab82befa76e02.tar.bz2
samba-41edcf849a592d0d358621fdffbab82befa76e02.zip
vfs_catia: testcase - add missing pieces
Signed-off-by: Guenter Kukkukk <kukks@samba.org> Reviewed-by: Richard Sharpe <realrichardsharpe@samba.org> Autobuild-User(master): Richard Sharpe <sharpe@samba.org> Autobuild-Date(master): Tue Mar 12 07:36:13 CET 2013 on sn-devel-104
Diffstat (limited to 'source3/script')
-rwxr-xr-x[-rw-r--r--]source3/script/tests/vfstest-catia/run.sh16
1 files changed, 11 insertions, 5 deletions
diff --git a/source3/script/tests/vfstest-catia/run.sh b/source3/script/tests/vfstest-catia/run.sh
index 8f7ea81f6e..c345f11682 100644..100755
--- a/source3/script/tests/vfstest-catia/run.sh
+++ b/source3/script/tests/vfstest-catia/run.sh
@@ -15,6 +15,12 @@ ADDARGS="$*"
VFSTEST_PREFIX=vfstest
VFSTEST_TMPDIR=$(mktemp -d ${PREFIX}/${VFSTEST_PREFIX}_XXXXXX)
+# We could pass in the --option=... via tests.py as ADDARGS
+# Atm i've choosen to specify them here:
+
+MYARGS1="--option=vfsobjects=catia"
+MYARGS2="--option=catia:mappings=0x22:0xa8,0x2a:0xa4,0x2f:0xf8,0x3a:0xf7,0x3c:0xab,0x3e:0xbb,0x3f:0xbf,0x5c:0xff,0x7c:0xa6,0x20:0xb1"
+
# vars for the translation test:
# a) here for unix-to-windows test
UNIX_FILE="a\\a:a*a?a<a>a|a"
@@ -39,7 +45,7 @@ touch $UNIX_FILE || exit 1
# test "translate" unix-to-windows
test_vfstest()
{
- cmd='$VFSTEST -f $TESTBASE/vfstest.cmd $ADDARGS '
+ cmd='$VFSTEST -f $TESTBASE/vfstest.cmd $MYARGS1 $MYARGS2 $ADDARGS '
out=`eval $cmd`
ret=$?
@@ -64,7 +70,7 @@ test_vfstest()
# and then check the created unix directory name
test_vfstest_dir()
{
- cmd='$VFSTEST -f $TESTBASE/vfstest1.cmd $ADDARGS '
+ cmd='$VFSTEST -f $TESTBASE/vfstest1.cmd $MYARGS1 $MYARGS2 $ADDARGS '
out=`eval $cmd`
ret=$?
@@ -79,15 +85,15 @@ test_vfstest_dir()
if [ $NUM -ne 1 ] ; then
echo "Cannot find $UNIX_DIR"
false
- else
+ else
true
fi
}
-testit "vfstest" test_vfstest || failed=`expr $failed + 1`
+testit "vfstest_catia" test_vfstest || failed=`expr $failed + 1`
if [ $failed = 0 ] ; then
- testit "vfstest1" test_vfstest_dir || failed=`expr $failed + 1`
+ testit "vfstest1_catia" test_vfstest_dir || failed=`expr $failed + 1`
fi
# Cleanup: remove tempdir